(SOLUCIONADO) Problemas con 3D en algunas tarjetas gráficas ATI (y NVIDIA?)

Imagen de ronnynguino
0 puntos

Buenas!!!

Este es mi primer post. Tras pensármelo mucho me metí en este fantástico mundo de Ubuntu. Empecé por la versión 9.4, pero por días, porque a la semana salió la distribución 9.10 y me actualicé sin pensarlo. Ruego pongáis en "cuarentena" lo que expongo y espero que los expertos maticen las conclusiones a las que he llegado después de haber googleado y revisado este fantástico foro.

Tengo una tarjeta ATI Radeon 9600 de 256 mb y, inicialmente en 9.4 no tenía problemas con el 3D, pero al actualizar a la 9.10 tuve un montón de problemas, que creo que muchos foreros comparten (con otros modelos ATI e incluso NVIDIA) que sospecho está relacionado con una actualización del Kernel:

* No aparece mi tarjeta dentro de Sistema/Administración/Controladores de hardware, donde se supone que puedes activar los drivers privativos.
* Ati Catalyst no reconoce la tarjeta.
* Los drivers de la página oficial de Ati no funcionan, aparte de que, cuando la consultas con leguaje Español te redirecciona a una versión anterior de los drivers (la 9.3, cuando la más moderna, por lo que sé es la 9.5).
* Si instalas Compiz te emulará por microprocesador aceleración 3D, pero vuelve el sistema muy inestable (bloqueos, reinicios, el firefox se reinicia si pones una película flash maximizada, ...)
* EnvyNG no detecta la tarjeta, pero te puede ayudar a recuperar Gnome haciendo funcionar la tarjeta en baja resolución, en caso de que lo hayas perdido instalando y desinstalando drivers. Por otra parte, a la fecha sólo funciona en modo terminal.

Actualmente tengo instalados los drivers libgl1-mesa-glx y libgl1-mesa-dri (https://help.ubuntu.com/community/RadeonDriver)

Existen reportes de estos problemas en el siguiente enlace: http://www.linuxcompatible.org/ATI_Radeon_9600_Pro_c12285.html

Me consuelo con que se rumorea por la red que la gente de AMD va a liberar el driver para hacerlo Open Source, y que el desarrollador de EnvyNG está oficialmente en nómina de Canonical, por lo que espero que pronto se solventen estos problemas.

Un saludo y muchas gracias por adelantado por las correcciones/aclaraciones/soluciones que surjan.

Imagen de ronnynguino
+1
0
-1

Me autorespondo para exponer algo que he leído en este foro:

Parece que los amigos unomas y wilmaforez han descubierto algo al respecto en el hilo http://www.ubuntu-es.org/?q=node/122760

Según exponen hay que añadir el repositorio ppa:xorg-edgers/drivers-only (hay que registrar la clave, ver el enlace del hilo).

+1
0
-1

Ubuntu User # 29880